通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Volumes - List

返回位置上所有存储卷的列表。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/scaleUnits/{scaleUnit}/storageSubSystems/{storageSubSystem}/volumes?api-version=2019-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/scaleUnits/{scaleUnit}/storageSubSystems/{storageSubSystem}/volumes?api-version=2019-05-01&$filter={$filter}&$top={$top}&$skip={$skip}

URI 参数

名称 必需 类型 说明
location
path True

string

资源的位置。

resourceGroupName
path True

string

资源组的名称。

scaleUnit
path True

string

缩放单位的名称。

storageSubSystem
path True

string

存储系统的名称。

subscriptionId
path True

string

唯一标识Microsoft Azure 订阅的订阅凭据。 订阅 ID 构成了每个服务调用的 URI 的一部分。

api-version
query True

string

客户端 API 版本。

$filter
query

string

OData 筛选器参数。

$skip
query

string

OData skip 参数。

$top
query

string

OData top 参数。

响应

名称 类型 说明
200 OK

VolumeList

还行

404 Not Found

未找到

安全性

azure_auth

授权使用 Azure Active Directory OAuth2 流。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Returns a list of all storage volumes at a location.

示例请求

GET https://management.azure.com/subscriptions/72526b2b-4b61-4700-8f0c-7bb7ae9b6a2d/resourceGroups/System.redmond/providers/Microsoft.Fabric.Admin/fabricLocations/redmond/scaleUnits/s-cluster/storageSubSystems/s-cluster.v.masd.stbtest.microsoft.com/volumes?api-version=2019-05-01

示例响应

{
  "value": [
    {
      "id": "/subscriptions/72526b2b-4b61-4700-8f0c-7bb7ae9b6a2d/resourceGroups/System.redmond/providers/Microsoft.Fabric.Admin/fabricLocations/redmond/scaleUnits/s-cluster/storageSubSystems/s-cluster.v.masd.stbtest.microsoft.com/volumes/48f356d4-362d-49cb-a021-fafffbe0e8ad",
      "name": "redmond/s-cluster/s-cluster.v.masd.stbtest.microsoft.com/48f356d4-362d-49cb-a021-fafffbe0e8ad",
      "type": "Microsoft.Fabric.Admin/fabricLocations/scaleUnits/storageSubSystems/volumes",
      "location": "redmond",
      "tags": {},
      "properties": {
        "totalCapacityGB": 1375,
        "remainingCapacityGB": 1317,
        "healthStatus": "Healthy",
        "operationalStatus": "OK",
        "repairStatus": "",
        "description": "",
        "action": "",
        "volumeLabel": "ObjStore_1"
      }
    }
  ]
}

定义

名称 说明
Volume

卷资源的表示形式。

VolumeList

可分页存储卷列表。

Volume

卷资源的表示形式。

名称 类型 说明
id

string

资源的 URI。

location

string

资源所在的区域。

name

string

资源的名称。

properties.action

string

HealthStatus/OperationalStatus 的详细建议作。 如果 HealthStatus/OperationalStatus 为正常/正常,则为空。

properties.description

string

HealthStatus/OperationalStatus 的详细说明。 如果 HealthStatus/OperationalStatus 为正常/正常,则为空。

properties.healthStatus

string

卷的运行状况。

properties.operationalStatus

string

卷的作状态。

properties.remainingCapacityGB

integer (int32)

卷的剩余容量(以 GB 为单位)。

properties.repairStatus

string

修复卷的状态。 如果未运行修复作业,则为空,如修复时“正在运行,90%”。

properties.totalCapacityGB

integer (int32)

卷的总容量(以 GB 为单位)。

properties.volumeLabel

string

卷标签。

tags

object

键值对的列表。

type

string

资源类型。

VolumeList

可分页存储卷列表。

名称 类型 说明
nextLink

string

下一页的 URI。

value

Volume[]

存储卷列表。